Announcement

#1 2020-06-04 21:42:51

homdax
Member
Sweden
2015-02-02
130

Switching PHP version from 5.4 to 7.1 or higher

I am forced to upgrade the PHP version on a long standing gallery with thousands of images and hundreds of hotlinks. Something happened that is making https not work properly and from my investigation it could very well be an old php version that is at least part the culprit.

There is really only one question, will piwigo handle a sudden switch from 5.4 to 7.2 or even later? There are no code modifications.

Piwigo 2.10.2
Operating system: Linux
PHP: 5.4.45
MySQL: 5.5.5-10.1.45-MariaDB
Graphics Library: External ImageMagick 6.9.10-68

Last edited by homdax (2020-06-04 21:43:54)

Offline

 

#2 2020-06-04 23:48:04

executive
Member
2017-08-16
902

Re: Switching PHP version from 5.4 to 7.1 or higher

Piwigo will be fine. You may see some notices from extensions.

Offline

 

#3 2020-06-06 15:19:28

homdax
Member
Sweden
2015-02-02
130

Re: Switching PHP version from 5.4 to 7.1 or higher

Thanks, however I will be doing the following

- create a new webhost account dedicated to the url of the sub site in question, yes it can be done.
- import existing site to that place, with a bit of downtime

I have a test config I will run this on (on the same web server with same setup) since I am not certain if I should set PHP version before I move the site, or after. Maybe silly question, but things I need to consider.

Last edited by homdax (2020-06-06 15:31:43)

Offline

 

#4 2020-06-06 20:46:10

executive
Member
2017-08-16
902

Re: Switching PHP version from 5.4 to 7.1 or higher

it doesn't matter when you switch it

Offline

 

#5 2020-06-09 14:28:43

homdax
Member
Sweden
2015-02-02
130

Re: Switching PHP version from 5.4 to 7.1 or higher

All went fine, even with 7.3 but docs here says 7.1 is recommended.

Offline

 

#6 2020-06-09 16:04:36

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13306

Re: Switching PHP version from 5.4 to 7.1 or higher

homdax wrote:

All went fine, even with 7.3 but docs here says 7.1 is recommended.

That's right, we should update that! Even PHP 7.4 should be OK, but for sure 7.3 is compatible.

Offline

 

#7 2020-06-15 10:00:11

homdax
Member
Sweden
2015-02-02
130

Re: Switching PHP version from 5.4 to 7.1 or higher

Thanks plg

Offline

 

Board footer

Powered by FluxBB

github twitter newsletter Donate Piwigo.org © 2002-2020 · Contact